Subject: bug#56078: 29.0.50; url-handler-mode fails to open FTP link

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Jun 2022 13:50:42 +0200

Po Lu <[email-masked]> writes:

> Turn on url-handler-mode, and then visit the URL
>
>   ftp://ftp.cam.ov.com/pub/xrn/unsupported/xrn-motif.tgz
>
> with find-file.  A (wrong-type-argument stringp nil) error will result.

I'm unable to reproduce that, but I do get a different error:

tramp-error: Lisp nesting exceeds ‘max-lisp-eval-depth’: ""

With debug-on-error I get yet another error:

Debugger entered--Lisp error: (overflow-error "16212958658533785600")
  signal(overflow-error ("16212958658533785600"))
  tramp-error((tramp-file-name "ftp" nil nil "ftp.cam.ov.com" nil "/pub/xrn/unsupported/xrn-motif.tgz" nil) overflow-error "16212958658533785600")
  tramp-signal-hook-function(overflow-error ("16212958658533785600"))
  signal(overflow-error ("16212958658533785600"))
  ange-ftp-hook-function(file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  apply(ange-ftp-hook-function file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  tramp-ftp-file-name-handler(file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  apply(tramp-ftp-file-name-handler file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  tramp-file-name-handler(file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  file-exists-p("/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")
  (progn (file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif..."))
  eval((progn (file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif...")) t)
  elisp--eval-last-sexp(nil)

And I get that without url-handler-mode.  Just the following reproduces
the error for me:

(file-exists-p "/ftp:ftp.cam.ov.com:/pub/xrn/unsupported/xrn-motif.tgz")

Michael added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no